comodo internet security installer reliant upon internet explorer?

as internet explorer recently became obsolete except for compatibility purposes, I disabled most features related to it. I was only made aware of this issue with the installer after several installation attempts giving a non-7zip archive error before attempting to download it in comodo’s dragon browser.

the download finished and the installer started, stating that it failed and I should check my internet options

I reset internet explorer and the installation is proceeding smoothely, so, is it a concern that comodo and other services no longer related to internet explorer require it to function?

https://help.comodo.com/topic-72-1-766-11311-System-Requirements.html